Package com.pixelmed.dicom

# Class CrossSectionalImageLibrary

java.lang.Object
com.pixelmed.dicom.ImageLibrary
com.pixelmed.dicom.CrossSectionalImageLibrary

public class CrossSectionalImageLibrary extends ImageLibrary

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`CrossSectionalImageLibrary.CrossSectionalImageLibraryEntry`

## Nested classes/interfaces inherited from class com.pixelmed.dicom.ImageLibrary

`ImageLibrary.ImageLibraryEntry`

## Field Summary

### Fields inherited from class com.pixelmed.dicom.ImageLibrary

`compositeInstanceContext, entriesIndexedBySOPInstanceUID`

## Constructor Summary

Constructors
Constructor
Description
`CrossSectionalImageLibrary()`
`CrossSectionalImageLibrary(AttributeList list)`
`CrossSectionalImageLibrary(ContentItem imageLibraryContainer, AttributeList list)`
`CrossSectionalImageLibrary(Set<File> files)`

## Method Summary

Modifier and Type
Method
Description
`double[]`
`getColumnArray(String sopInstanceUID)`
`String`
`getFrameOfReferenceUID(String sopInstanceUID)`
`double[]`
`getRowArray(String sopInstanceUID)`
`double`
`getSliceThickness(String sopInstanceUID)`
`String`
`getSOPClassUID(String sopInstanceUID)`
`double[]`
`getTLHCArray(String sopInstanceUID)`
`double[]`
`getVoxelSpacingArray(String sopInstanceUID)`
`static void`
`main(String[] arg)`
Create an SR Image Library from a bunch of cross-sectional DICOM instances.
`ImageLibrary.ImageLibraryEntry`
`makeImageLibraryEntry(AttributeList list)`
`ImageLibrary.ImageLibraryEntry`
`makeImageLibraryEntry(ContentItemFactory.ImageContentItem imageContentItem, Map<String,HierarchicalSOPInstanceReference> hierarchicalSOPInstanceReferencesIndexedBySOPInstanceUID)`
`static final double`
`parseDoubleElseZero(String s)`
`static CrossSectionalImageLibrary`
`read(String filename)`

### Methods inherited from class com.pixelmed.dicom.ImageLibrary

`addContributingEquipmentSequence, addImage, constructImageLibrary, findImageLibraryContainer, getAttributeList, getCommonInstanceReferenceModuleReferencedSeriesSequence, getHierarchicalEvidenceSequence, getHierarchicalSOPInstanceReferencesIndexedBySOPInstanceUID, getStructuredReport, getStructuredReportFragment, toString, write, write`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### CrossSectionalImageLibrary

public CrossSectionalImageLibrary()

### CrossSectionalImageLibrary

public CrossSectionalImageLibrary(AttributeList list) throws DicomException

Throws:
  `DicomException`

### CrossSectionalImageLibrary

public CrossSectionalImageLibrary(ContentItem imageLibraryContainer, AttributeList list)

### CrossSectionalImageLibrary

public CrossSectionalImageLibrary(Set<File> files) throws IOException, DicomException

Throws:
  `IOException`
  `DicomException`

## Method Details

### makeImageLibraryEntry

public ImageLibrary.ImageLibraryEntry makeImageLibraryEntry(ContentItemFactory.ImageContentItem imageContentItem, Map<String,HierarchicalSOPInstanceReference> hierarchicalSOPInstanceReferencesIndexedBySOPInstanceUID)

Overrides:
  `makeImageLibraryEntry` in class `ImageLibrary`

### makeImageLibraryEntry

public ImageLibrary.ImageLibraryEntry makeImageLibraryEntry(AttributeList list) throws DicomException

Overrides:
  `makeImageLibraryEntry` in class `ImageLibrary`
Throws:
  `DicomException`

### getSOPClassUID

public String getSOPClassUID(String sopInstanceUID)

### getFrameOfReferenceUID

public String getFrameOfReferenceUID(String sopInstanceUID)

### getVoxelSpacingArray

public double[] getVoxelSpacingArray(String sopInstanceUID)

### getTLHCArray

public double[] getTLHCArray(String sopInstanceUID)

### getRowArray

public double[] getRowArray(String sopInstanceUID)

### getColumnArray

public double[] getColumnArray(String sopInstanceUID)

### getSliceThickness

public double getSliceThickness(String sopInstanceUID)

### parseDoubleElseZero

public static final double parseDoubleElseZero(String s)

### read

public static CrossSectionalImageLibrary read(String filename) throws DicomException, IOException

Throws:
  `DicomException`
  `IOException`

### main

public static void main(String[] arg)

Create an SR Image Library from a bunch of cross-sectional DICOM instances.

Adds a new series (instance UID) to the existing study (instance UID).

Parameters:
  `arg` - the path for the SR Image Library output, then the filenames and/or folder names of files containing the input image files